Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Routing\UrlAliasRouter Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Routing\UrlAliasRouter:

## Public Member Functions
| setConfigResolver (ConfigResolverInterface $configResolver)
| matchRequest (Request $request)
| Tries to match a request with a set of routes. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Routing\UrlAliasRouter
| __construct (LocationService $locationService, URLAliasService $urlAliasService, ContentService $contentService, UrlAliasGenerator $generator, RequestContext $requestContext, LoggerInterface $logger=null)
| setRootLocationId ($rootLocationId)
| Injects current root Location id. More...
| getRouteCollection ()
| Gets the RouteCollection instance associated with this Router. More...
| generate ($name, $parameters=[], $referenceType=UrlGeneratorInterface::ABSOLUTE_PATH)
| Generates a URL for a location, from the given parameters. More...
| setContext (RequestContext $context)
| getContext ()
| match ($pathinfo)
| Not supported. More...
| supports ($name)
| Whether the router supports the thing in $name to generate a route. More...
| getRouteDebugMessage ($name, array $parameters=[])

## Protected Member Functions
| getUrlAlias ($pathinfo)
| Will return the right UrlAlias in regards to configured root location. More...
Protected Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Routing\UrlAliasRouter
| removePathPrefix ($path, $prefix)
| Removes prefix from path. More...
| needsCaseRedirect (URLAlias $loadedUrlAlias, $requestedPath, $pathPrefix)
| Returns true of false on comparing $urlAlias->path and $path with case sensitivity. More...

## Protected Attributes
| $configResolver
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\Routing\UrlAliasRouter
| $requestContext
| $locationService
| $urlAliasService
| $contentService
| $generator
| $rootLocationId
| $logger

## Additional Inherited Members
Public Attributes inherited from eZ\Publish\Core\MVC\Symfony\Routing\UrlAliasRouter
const | URL_ALIAS_ROUTE_NAME = 'ez_urlalias'
const | LOCATION_VIEW_CONTROLLER = 'ez_content:viewLocation'
const | VIEW_ACTION = 'ez_content:viewAction'

## Detailed Description

Definition at line 14 of file Bundle/EzPublishCoreBundle/Routing/UrlAliasRouter.php.

## Member Function Documentation

## ◆ getUrlAlias()

eZ\Bundle\EzPublishCoreBundle\Routing\UrlAliasRouter::getUrlAlias | ( |  | $pathinfo | ) |
| protected

Will return the right UrlAlias in regards to configured root location.

Parameters

  string | $pathinfo |

Exceptions

Reimplemented from eZ\Publish\Core\MVC\Symfony\Routing\UrlAliasRouter.

Definition at line 47 of file Bundle/EzPublishCoreBundle/Routing/UrlAliasRouter.php.

## ◆ matchRequest()

eZ\Bundle\EzPublishCoreBundle\Routing\UrlAliasRouter::matchRequest | ( | Request | $request | ) |

Tries to match a request with a set of routes.

If the matcher can not find information, it must throw one of the exceptions documented below.

Parameters

  Request | $request | The request to match

Returns
  array An array of parameters

Exceptions

Reimplemented from eZ\Publish\Core\MVC\Symfony\Routing\UrlAliasRouter.

Definition at line 27 of file Bundle/EzPublishCoreBundle/Routing/UrlAliasRouter.php.

## ◆ setConfigResolver()

eZ\Bundle\EzPublishCoreBundle\Routing\UrlAliasRouter::setConfigResolver | ( | ConfigResolverInterface | $configResolver | ) |

Parameters

  ConfigResolverInterface | $configResolver |

Definition at line 22 of file Bundle/EzPublishCoreBundle/Routing/UrlAliasRouter.php.

References eZ\Bundle\EzPublishCoreBundle\Routing\UrlAliasRouter\$configResolver.

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishCoreBundle\Routing\UrlAliasRouter::$configResolver
| protected

Definition at line 17 of file Bundle/EzPublishCoreBundle/Routing/UrlAliasRouter.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Routing\UrlAliasRouter\setConfigResolver().

The documentation for this class was generated from the following file:

- Bundle/EzPublishCoreBundle/Routing/UrlAliasRouter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.